Bug 110346 - When listing 'all parameters' as opposed to just 'mandatory paramerts' the numbering scheme is different
When listing 'all parameters' as opposed to just 'mandatory paramerts' the nu...
Product: Red Hat Web Application Framework
Classification: Retired
Component: other (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
Depends On:
  Show dependency treegraph
Reported: 2003-11-18 13:01 EST by Daniel Berrange
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-02 13:29:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2003-11-18 13:01:38 EST
Description of problem:

The mandatory parameters first shown are numbered (on APLAWS) 1->10.
When the user asks to see all parameters, the numbering is different,
with the mandatory params appearing at positions 81->87 and 93->94.
There is also no discernable ordering to the parameters & it is
practically impossible to distinguish parameters belonging to each
individual application. For example, if I want to setup parameters for
the HTTP NTLM Auth application I'd have to look down through the list
of all 94 params trying to identify which are which. There is also no
correlation between the human friendly parameter names 'JDBC
connection URL' and the parameter keys 'waf.runtime.jdbc_url' as
documented in the install guides.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:
[arturo@staging01 aplaws-camden]$ ccm load-aplaws --file
/usr/share/ccm/aplaws.properties --bundle
/usr/share/ccm/aplaws-full.txt --interactive

   [1] Set JDBC connection URL:
   [2] Set Server virtual host:
   [3] Set Administrator Email Address: null
   [4] Set Administrator First Name: null
   [5] Set Administrator Last Name: null
   [6] Set Administrator Password: null
   [7] Set Administrator Password Question: null
   [8] Set Administrator Password Answer: null
   [9] Set Auth Administrator Email Address: null
  [10] Set Auth Administrator Identifier: null

Choose: o

   [1] Set waf.config.packages:
   [2] Set waf.config.parents:
   [3] Set JDBC connection URL:
   [4] Set Default scheme: http
   [5] Set Server virtual host:
   [6] Set Virtual host:
   [7] Set Site name:
   [8] Set Dispatcher context path: 
   [9] Set Dispatcher servlet path: /ccm
  [10] Set Default HTTP-header caching policy: null
  [11] Set Application file resolver class:
  [12] Set Stylesheet paths file:
  [13] Set Stylesheet resolver class:
  [14] Set Global debug flag: false
  [15] Set DML permission checking flag: false
  [16] Set The primary user identification: email
  [17] Set Remember login by default: true
  [18] Set JavaMail properties URL: null
  [19] Set Mail debug flag: false
  [20] Set Versioning UI debug flag: false
  [21] Set waf.lucene.location:
  [22] Set waf.lucene.interval: 120
  [23] Set waf.lucene.id: 0
  [24] Set waf.security.secret_key:
  [25] Set Root Page: portal/
  [26] Set Login Page: register/
  [27] Set New User Page: register/new-user
  [28] Set Logout Page: register/logout
  [29] Set Cookies Explanation Page:
  [30] Set Change Password Page:
  [31] Set Recover Password Page:
  [32] Set Expired Login Page:
  [33] Set Workspace Page: portal/
  [34] Set Permissions Page: permissions/
  [35] Set Single object Permissions Page: permissions/one
  [36] Set Bebop presentation manager class:
  [37] Set Bebop base page class:
          class com.arsdigita.aplaws.ui.SimplePage
  [38] Set JTidy validation listener config file:
  [39] Set waf.dispatcher.static_url_prefix: /STATICII/
  [40] Set waf.dispatcher.is_caching_active: true
  [41] Set waf.dispatcher.default_expiry: 3600
  [42] Set waf.workflow.simple.alerts_enabled: true
  [43] Set waf.workflow.simple.alerts_sender: null
  [44] Set Search Indexer: lucene
  [45] Set Lazy Updates: true
  [46] Set Template Root Path:
  [47] Set Default Item Template Path:
  [48] Set Default Folder Template Path: /default/folder.jsp
  [49] Set Languages: en,de,fr,nl,it,pt,es
  [50] Set Publish to File listener class:
          class com.arsdigita.cms.publishToFile.PublishToFile
  [51] Set Disable (non-Template) Item p2fs: true
  [52] Set Item resolver class:
          class com.arsdigita.cms.dispatcher.MultilingualItemResolver
  [53] Set Template resolver class:
  [54] Set Use Content Section-specific categories: false
  [55] Set Item Adapters File:
  [56] Set ccm.forum.traversal_adapters:
  [57] Set Activate HTTP Authentication: false
  [58] Set Debug HTTP Authentication: false
  [59] Set Nonce TTL: 60
  [60] Set Auth Server Name: null
  [61] Set Auth Server Port: 80
  [62] Set Client IP Range: null
  [63] Set Key Alias: authhttp
  [64] Set Key Cypher: RSA
  [65] Set Key Password: null
  [66] Set Key Store Password: null
  [67] Set Key Store Location: null
  [68] Set ccm.london.portal.traversal_adapters:
  [69] Set waf.rss.categoryKey: RSS
  [70] Set ccm.london.portal.traversal_adapters:
  [71] Set Index Page Cache Lifetime: 3600
  [72] Set Generate Item URL: true
  [73] Set Default Template:
  [74] Set Default Content Section URL: /content/
  [75] Set Number of Search Threads: 10
  [76] Set Search Timeout: 4000
  [77] Set Delay between Spider Runs: 600
  [78] Set Depth of Links to Follow: 2
  [79] Set Frequency of Spider Runs: 0
  [80] Set ccm.london.subsite.traversal_adapters:
  [81] Set Administrator Email Address: admin@example.com
  [82] Set Administrator Screen Name: admin
  [83] Set Administrator First Name: Admin
  [84] Set Administrator Last Name: Account
  [85] Set Administrator Password: 123456
  [86] Set Administrator Password Question: 123
  [87] Set Administrator Password Answer: 456
  [88] Set Login Stylesheet: login_en.xsl
  [89] Set Login Dispatcher:
  [90] Set Mime Types Resource:
  [91] Set com.arsdigita.cms.contenttypes.mparticle.template:
  [92] Set Mount Point: auth
  [93] Set Auth Administrator Email Address: admin@example.com
  [94] Set Auth Administrator Identifier: admin//example

Expected results:
* There is consistent numbering of parameters. 
* Parameters should be ordered alphabetically and grouped by application
* Should accept a parameter key as well as a number for choosing which
parameter to set.

Additional info:
Comment 1 Daniel Berrange 2006-09-02 13:29:47 EDT
Closing old tickets

Note You need to log in before you can comment on or make changes to this bug.